
From: Chris Heath <chris@heathens.co.nz>

I am still seeing a lot of cursors being left behind.  It is not a race
condition or anything -- in the TTY line editor, it happens about 50% of
the time when you press backspace.

What appears to be happening is the cursor is flashing twice as slowly
as the driver thinks it is, so of course it's wrong half the time when
it comes to erase the cursor.

The patch below fixes it for me.



 drivers/video/softcursor.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/video/softcursor.c~cursor-flashing-fix drivers/video/softcursor.c
--- 25/drivers/video/softcursor.c~cursor-flashing-fix	2003-08-16 14:01:15.000000000 -0700
+++ 25-akpm/drivers/video/softcursor.c	2003-08-16 14:01:15.000000000 -0700
@@ -74,6 +74,12 @@ int soft_cursor(struct fb_info *info, st
 
 	if (info->cursor.image.data)
 		info->fbops->fb_imageblit(info, &info->cursor.image);
+
+	if (!info->cursor.enable) {
+		for (i = 0; i < size; i++)
+			dst[i] ^= info->cursor.mask[i];
+	}
+
 	return 0;
 }
 

_
